3.7.1 build failure linking fcd_nfm_rx

FWIW - I’m not a FCD user :wink:

Getting this on a ubuntu 10.10 box trying to compile gr 3.7.1

Linking CXX executable fcd_nfm_rx

…/…/lib/libgnuradio-fcd-3.7.1.so.0.0.0: undefined reference to
`libusb_handle_events_completed’
collect2: ld returned 1 exit status
make[2]: *** [gr-fcd/examples/c++/fcd_nfm_rx] Error 1
make[1]: *** [gr-fcd/examples/c++/CMakeFiles/fcd_nfm_rx.dir/all] Error 2
make: *** [all] Error 2

Max

On Tue, Sep 17, 2013 at 12:04 PM, ikjtel [email protected] wrote:

make: *** [all] Error 2

Max

Hi Max,

Thanks for the info. Good to have it out there. But just so you know,
we don’t support 10.10 anymore. Ubuntu dropped support for this
version last year, and we follow their lead. If it’s past end-of-life
for them, we also drop support :slight_smile:

This is likely a USB library version problem.


Tom
Visit us at GRCon13 Oct. 1 - 4
http://www.trondeau.com/grcon13

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs